<div>
    <steps (submitClicked)="handlerSubmit()">
        <step title="Order Details">
            <order-details [(order)]="order" [availableItems]="availableItems"></order-details>
        </step>
        <step title="Select Content">
            <add-title [(order)]="order"></add-title>
        </step>
        <!--<step title="Select Title">
            <add-title [(configuration)]="selectedItems"></add-title>            
        </step>-->
        <div *ngIf="errMsg" class="error-msg">{{errMsgText}}</div>
    </steps>
</div>
<template #confirmDialog let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h4 class="modal-title">Discard Changes?</h4>
        <!--<button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>-->
    </div>
    <div class="modal-body">
        <p>Are you sure you want to discard your changes?</p>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="c('Close click')">OK</button>
        <button type="button" class="btn btn-primary" (click)="d('Close click')">Cancel</button>
    </div>
</template>
